Debian Bug report logs - #644417
CPU-faults early on boot (regression)

version graph

Package: kfreebsd-image-8.2-1-686; Maintainer for kfreebsd-image-8.2-1-686 is (unknown);

Reported by: Robert Millan <rmh@debian.org>

Date: Wed, 5 Oct 2011 17:03:02 UTC

Severity: grave

Found in version kfreebsd-8/8.2-1.1

Fixed in versions kfreebsd-8/8.2-8, kfreebsd-10/10.0~svn226224-1, kfreebsd-9/9.0~svn226626-1, kfreebsd-8/8.2-11, kfreebsd-10/10.0~svn226872-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Wed, 05 Oct 2011 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Oct 2011 17:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: CPU-faults early on boot (regression)
Date: Wed, 05 Oct 2011 19:01:33 +0200
Package: kfreebsd-image-8.2-1-686
Version: 8.2-1.1
Severity: grave

On my main workstation, kfreebsd 8.2-1.1 and later versions CPU-faults
early on boot.  This affects the i686 version only (not amd64 one).

8.2-1 is not affected.

-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Wed, 05 Oct 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Oct 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 644417@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Robert Millan <rmh@debian.org>, 644417@bugs.debian.org
Subject: Re: Bug#644417: CPU-faults early on boot
Date: Wed, 5 Oct 2011 20:42:47 +0200 (CEST)
> On my main workstation, kfreebsd 8.2-1.1 and later versions CPU-faults
> early on boot.  This affects the i686 version only (not amd64 one).
>
> 8.2-1 is not affected.

Probably related to:

 * Build by GCC 4.6.  (Closes: #594288)

Would you mind to rebuild latest kfreebsd-8 with gcc-4.3 from stable ?
And by current "gcc-4.6 -fno-gcse" ?

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Fri, 07 Oct 2011 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 07 Oct 2011 19:30:05 GMT) Full text and rfc822 format available.

Message #15 received at 644417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 644417@bugs.debian.org
Subject: Re: Bug#644417: CPU-faults early on boot
Date: Fri, 7 Oct 2011 21:28:08 +0200
2011/10/5 Petr Salinger <Petr.Salinger@seznam.cz>:
> Would you mind to rebuild latest kfreebsd-8 with gcc-4.3 from stable ?

This works.  In fact I made a backport out of it and uploaded it to
bpo (in case someone's interested in running kfreebsd 8.2 in Squeeze).

> And by current "gcc-4.6 -fno-gcse" ?

Will try that next.

-- 
Robert Millan




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 07 Oct 2011 23:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Mon, 10 Oct 2011 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Oct 2011 20:12:05 GMT) Full text and rfc822 format available.

Message #22 received at 644417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 644417@bugs.debian.org
Subject: Re: Bug#644417: CPU-faults early on boot
Date: Mon, 10 Oct 2011 22:08:51 +0200
2011/10/7 Robert Millan <rmh@debian.org>:
> 2011/10/5 Petr Salinger <Petr.Salinger@seznam.cz>:
>> Would you mind to rebuild latest kfreebsd-8 with gcc-4.3 from stable ?
>
> This works.  In fact I made a backport out of it and uploaded it to
> bpo (in case someone's interested in running kfreebsd 8.2 in Squeeze).
>
>> And by current "gcc-4.6 -fno-gcse" ?
>
> Will try that next.

Apparently, there are more problems than -fgcse.  "gcc-4.6 -fno-gcse"
still fails whereas "gcc-4.4 -fno-gcse" doesn't.

I've downgraded the dependency to get a working kernel. Before we
upgrade, I think we could use experimental as testing ground to
resolve the problems. It's very bad that this kind of bugs reaches
wheezy.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Mon, 10 Oct 2011 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 10 Oct 2011 20:21:07 GMT) Full text and rfc822 format available.

Message #27 received at 644417@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 644417@bugs.debian.org
Subject: Re: Bug#644417: CPU-faults early on boot
Date: Mon, 10 Oct 2011 22:30:57 +0200 (CEST)
> Apparently, there are more problems than -fgcse.  "gcc-4.6 -fno-gcse"
> still fails whereas "gcc-4.4 -fno-gcse" doesn't.
>
> I've downgraded the dependency to get a working kernel. Before we
> upgrade, I think we could use experimental as testing ground to
> resolve the problems. It's very bad that this kind of bugs reaches
> wheezy.

The main problem is that we do not know whether gcc-4.x
miscompiles kernel or kernel is not properly coded.

The -no-gcse only lowers optimization level.
It does not fail on my real -amd64 HW neither -i386 inside kvm.

Petr




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 10 Oct 2011 20:51:06 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Mon, 10 Oct 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #32 received at 644417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644417-close@bugs.debian.org
Subject: Bug#644417: fixed in kfreebsd-8 8.2-8
Date: Mon, 10 Oct 2011 20:49:34 +0000
Source: kfreebsd-8
Source-Version: 8.2-8

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-8.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-8.debian.tar.gz
kfreebsd-8_8.2-8.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-8.dsc
kfreebsd-headers-8-amd64_8.2-8_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-8_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-8_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-8_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-8_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-8_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-8_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Oct 2011 01:01:34 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-8
Distribution: unstable
Urgency: high
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 644417
Changes: 
 kfreebsd-8 (8.2-8) unstable; urgency=high
 .
   [ Petr Salinger ]
   * extend ld_target detection
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4
     - 005_gcc46.diff: Add -fno-gcse to COPTFLAGS to fix GCC >= 4.4 builds.
Checksums-Sha1: 
 23c0c97ac263ea322f797b7e3992c12c72657966 3411 kfreebsd-8_8.2-8.dsc
 97803ecd2f56e8ad87c7d1100021bd7610fecf46 97976 kfreebsd-8_8.2-8.debian.tar.gz
 5f04b4d0cf6e6433ae150e1584e0b65231904d7b 18571330 kfreebsd-source-8.2_8.2-8_all.deb
 d6ecd99f5073561063c955f35147259d377d3eb6 7328034 kfreebsd-headers-8.2-1_8.2-8_kfreebsd-amd64.deb
 4551547be0720166190d36cce3cbc0069b66f85d 13965972 kfreebsd-image-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 d8d913cff250f1101f1a54fe7b1dae6615da6f9e 48872 kfreebsd-image-8-amd64_8.2-8_kfreebsd-amd64.deb
 9a8082cabd3e905a4bee6324a5abe345468b7c17 328030 kfreebsd-headers-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 035d496bf277807c9a3bb560f7ff621e7c8c0a1c 48756 kfreebsd-headers-8-amd64_8.2-8_kfreebsd-amd64.deb
Checksums-Sha256: 
 daf413f67058c3f154feaf7cc88b223cfcb93eb0c2dfa10a89161d1f090929f1 3411 kfreebsd-8_8.2-8.dsc
 b70425bb4a6a4a7b9bfb76aacf565bdf66c82d887c2f3a710440ee92be2b5db9 97976 kfreebsd-8_8.2-8.debian.tar.gz
 1b2167c994e8c4ae28b7c0de3ab5232d282b49f069dfa44ecca09dcc86172221 18571330 kfreebsd-source-8.2_8.2-8_all.deb
 e8aae8e8bad119714f18662c1e1f5b19909495711c2c141756a256de118b19fb 7328034 kfreebsd-headers-8.2-1_8.2-8_kfreebsd-amd64.deb
 e9caed312de4dfe0698adf9d9bfed99dd37f8cf2b93906d70bab193f0a7af5d1 13965972 kfreebsd-image-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 b4f93823a2223dce48bf808c6899750c586772ce46cccb94f6f2b8846eeb42f3 48872 kfreebsd-image-8-amd64_8.2-8_kfreebsd-amd64.deb
 727527ce49e912cceccb0afe420e634db4bccfbbe57b4e82bf9ed73d0cdb8e13 328030 kfreebsd-headers-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 b11060c38b98dd4b211c49774daa8894491b78532b16ca504e2203838175228e 48756 kfreebsd-headers-8-amd64_8.2-8_kfreebsd-amd64.deb
Files: 
 e27e00ea2b23203a4f0ad65828d3390f 3411 kernel optional kfreebsd-8_8.2-8.dsc
 fe541a28f1c1b5ad6b73a5537a1fbade 97976 kernel optional kfreebsd-8_8.2-8.debian.tar.gz
 c9e8826d4e1e54142a208200928b62fd 18571330 kernel optional kfreebsd-source-8.2_8.2-8_all.deb
 12eba722e78caccc2aa85cce7ec7273b 7328034 kernel optional kfreebsd-headers-8.2-1_8.2-8_kfreebsd-amd64.deb
 2840f3b9e4df4a18ea7c52df0a75791d 13965972 kernel optional kfreebsd-image-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 ec3014fb2c3762b65c831cd2289a06d1 48872 kernel optional kfreebsd-image-8-amd64_8.2-8_kfreebsd-amd64.deb
 19fa68693786153d9f3c72efbddd892e 328030 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-8_kfreebsd-amd64.deb
 bc6263ccaba39be1483908a24cacf45c 48756 kernel optional kfreebsd-headers-8-amd64_8.2-8_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6TSaAACgkQC19io6rUCv9jPwCgiGEN3aYamYwAM3vRFQrk1l7C
yQUAn3k5Eh+nkxtuhn5ZI9Piu5TBtxY8
=NNom
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 11 Oct 2011 06:39:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Tue, 11 Oct 2011 06:39:07 GMT) Full text and rfc822 format available.

Message #37 received at 644417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644417-close@bugs.debian.org
Subject: Bug#644417: fixed in kfreebsd-10 10.0~svn226224-1
Date: Tue, 11 Oct 2011 06:34:26 +0000
Source: kfreebsd-10
Source-Version: 10.0~svn226224-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-10, which is due to be installed in the Debian FTP archive:

kfreebsd-10_10.0~svn226224-1.debian.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226224-1.debian.tar.gz
kfreebsd-10_10.0~svn226224-1.dsc
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226224-1.dsc
kfreebsd-10_10.0~svn226224.orig.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226224.orig.tar.gz
kfreebsd-headers-10-486_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-486_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10-686_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-686_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-headers-10.0-0_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10-486_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-486_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10-686_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-686_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-image-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
kfreebsd-source-10.0_10.0~svn226224-1_all.deb
  to main/k/kfreebsd-10/kfreebsd-source-10.0_10.0~svn226224-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Oct 2011 22:11:40 +0200
Source: kfreebsd-10
Binary: kfreebsd-source-10.0 kfreebsd-headers-10.0-0 kfreebsd-image-10.0-0-amd64 kfreebsd-image-10-amd64 kfreebsd-headers-10.0-0-amd64 kfreebsd-headers-10-amd64 kfreebsd-image-10.0-0-486 kfreebsd-image-10-486 kfreebsd-headers-10.0-0-486 kfreebsd-headers-10-486 kfreebsd-image-10.0-0-686 kfreebsd-image-10-686 kfreebsd-headers-10.0-0-686 kfreebsd-headers-10-686 kfreebsd-image-10.0-0-686-smp kfreebsd-image-10-686-smp kfreebsd-headers-10.0-0-686-smp kfreebsd-headers-10-686-smp kfreebsd-image-10.0-0-xen kfreebsd-image-10-xen kfreebsd-headers-10.0-0-xen kfreebsd-headers-10-xen kfreebsd-image-10.0-0-malta kfreebsd-image-10-malta kfreebsd-headers-10.0-0-malta kfreebsd-headers-10-malta
Architecture: source all kfreebsd-i386
Version: 10.0~svn226224-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-10-486 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686-smp - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-amd64 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-malta - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-xen - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10.0-0 - Common architecture-specific header files for kernel of FreeBSD 1
 kfreebsd-headers-10.0-0-486 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686-smp - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-amd64 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-malta - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-xen - header files for kernel of FreeBSD 10.0
 kfreebsd-image-10-486 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686-smp - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-amd64 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-malta - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-xen - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10.0-0-486 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686-smp - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-amd64 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-malta - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-xen - kernel of FreeBSD 10.0 image
 kfreebsd-source-10.0 - source code for kernel of FreeBSD 10.0 with Debian patches
Closes: 644417
Changes: 
 kfreebsd-10 (10.0~svn226224-1) experimental; urgency=low
 .
   * New upstream snapshot.
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4
     - 008_gcc46.diff: Add -fno-gcse to COPTFLAGS to fix GCC >= 4.4 builds.
Checksums-Sha1: 
 9978cb09b681ef9f7840267328b48c79bcdb1a5d 3572 kfreebsd-10_10.0~svn226224-1.dsc
 c5f77f01e1cc6c5c0fa19843feced41e3b86c82e 32697037 kfreebsd-10_10.0~svn226224.orig.tar.gz
 182148a3948cc1708500d87322b6fcae56937413 80958 kfreebsd-10_10.0~svn226224-1.debian.tar.gz
 851721b64b9d449e9c3969c32308d9584a0858d6 21710042 kfreebsd-source-10.0_10.0~svn226224-1_all.deb
 d08fab471b829b4205f010be687c97e5f7d38ef3 9672454 kfreebsd-headers-10.0-0_10.0~svn226224-1_kfreebsd-i386.deb
 423c57f083e1d6228a7f3c41387949326a17ac71 15801024 kfreebsd-image-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 18c2c83c4e2ff9d442c45aada62f392c95b8b1d1 49570 kfreebsd-image-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 0783287b99cdcaa6e53f002d44d0d24310e90586 360242 kfreebsd-headers-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 4d1a4e7b1373b38bc210c8ec7ff6be49412f0c3a 49578 kfreebsd-headers-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 5dba9494d5d5db2decf87f7cebc4afd35b06de66 16801234 kfreebsd-image-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 e973e373bc1b5534ce017d7af19ca18820fd9c5b 49346 kfreebsd-image-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 160eb4b8d2141302fa4640a82e1dd0f5a4f7e8da 361924 kfreebsd-headers-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 21c9f0fad1144f7990844ab4d8b52081eaba50d7 49344 kfreebsd-headers-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 2d2dd2fac1fe9e7c695f4e617be8981a3b5a4041 16818566 kfreebsd-image-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 7db3dc77e0aa52db6b9ea971b1921df326d52ec8 49584 kfreebsd-image-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 ab6af422dae943cccaa5661c7c27b16f4dc2d8f3 360006 kfreebsd-headers-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 e6c8a5c03178c36024523193b5b9db67a2960baa 49348 kfreebsd-headers-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 57cb48f8160af9444b852458df82809007a21e70 12111990 kfreebsd-image-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 ffc807645c26b10e4b7b7a64938fa1eb311c840b 49342 kfreebsd-image-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
 08f54a8965541e3650fe381784d527dea361434c 230198 kfreebsd-headers-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 3e5bbb1f99ab77a7e1bc9b8f3d08e4b881e1b537 49576 kfreebsd-headers-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
Checksums-Sha256: 
 9bbeee427c8434d072f9a439a3e40304e7b792a75732a56c5cb1e1cda999c521 3572 kfreebsd-10_10.0~svn226224-1.dsc
 ecb676043d0c04bbcefcae1b0ebf7e5f43709ab01da9c6dabd72179e776a273e 32697037 kfreebsd-10_10.0~svn226224.orig.tar.gz
 2c83fbf30c7d54ecb66dce9094bcd386b2f723cb3ecdb851a1c47063c652b885 80958 kfreebsd-10_10.0~svn226224-1.debian.tar.gz
 5c3242cfd20ad0cf72a9b1c51d3430571c15656fa6b42829e40b53be26eae78c 21710042 kfreebsd-source-10.0_10.0~svn226224-1_all.deb
 46e5e4bf9d061a4249e9074c223008a90531b895b4da2eaeee13a076ba0be972 9672454 kfreebsd-headers-10.0-0_10.0~svn226224-1_kfreebsd-i386.deb
 b05aab8b02b265bf3b4a13e85bc410145eb47819ea8156705c2479ee4ef74445 15801024 kfreebsd-image-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 d5f180dcb53794505cb52e0dccf268aeb8f99e0b9aee9cc382a6770750719e23 49570 kfreebsd-image-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 8bee8f274d6b9bf348f5889551b0edc1a3b32a47f736d2487314a15a1c371b66 360242 kfreebsd-headers-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 fc44c2c37ed92215ea53ab0558e63347699696d249244381c304079c0cd718f7 49578 kfreebsd-headers-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 a3ce2c82a1cb164f52fa54b1a7958d1d20c95ec41fff61e7d8de5c99b6e2d8b1 16801234 kfreebsd-image-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 ea34fa6d2604a51bbd0503a6974410c258ffaf19d525998bb1f812cb9fed819a 49346 kfreebsd-image-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 5e4e89b858838c6ae17ec49b2d07f5539395178ba4ec2aa4ccbdfbab81703ed2 361924 kfreebsd-headers-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 6ce5180b71fe6b762a740fd033f4c753ad1ba2ccba683439c0f0861925a82611 49344 kfreebsd-headers-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 3a0e04b48bc6f4f7eba5d28ae91f1a576e81882463142fdf2a6b7f6048c3e52f 16818566 kfreebsd-image-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 3f3aea578f48653f4a8faf6fea471ff17582c07bfab18a142abee467674f220a 49584 kfreebsd-image-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 18e3c80b992012dfcabd940badf97f85eff6d8f773b11eff8fb5e469aafa132d 360006 kfreebsd-headers-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 d673f6172748d5788fcc531ebf48c5ebda94e768de4bcb07d5e8caa032d3a8cf 49348 kfreebsd-headers-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 1942db68e7436ac684c5fcbb664adcc9887385b0be1ae20a46d8dbe1dd041a92 12111990 kfreebsd-image-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 10a3d4eca2e6411cf09f9568114b6f3e2764852fae32094038c0e8e23fb8f64b 49342 kfreebsd-image-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
 b7f184ca06e92900b10cdbf18ced85a54a28c0aa7a8c6cd520207c70722dfa80 230198 kfreebsd-headers-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 6e0720d047290ab9483f380ca43defb5d6420f1f9083a051b828e62407fcbd78 49576 kfreebsd-headers-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
Files: 
 b88bb2f4abf1ecd4d44fbe7e52ce0302 3572 kernel optional kfreebsd-10_10.0~svn226224-1.dsc
 af27013e6102c695681b17ee815c69b6 32697037 kernel optional kfreebsd-10_10.0~svn226224.orig.tar.gz
 ae46461a4a776b9f1175f228ec3fb5c1 80958 kernel optional kfreebsd-10_10.0~svn226224-1.debian.tar.gz
 9d23622f001271ff755f30c55e5d707c 21710042 kernel optional kfreebsd-source-10.0_10.0~svn226224-1_all.deb
 f98c71dfcd14719a29349adbd5e243c5 9672454 kernel optional kfreebsd-headers-10.0-0_10.0~svn226224-1_kfreebsd-i386.deb
 86c1bb88605a79ee0252eaf3e018dd7b 15801024 kernel optional kfreebsd-image-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 a0ae76cd85d78f9f7f7211423293c240 49570 kernel optional kfreebsd-image-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 ef120b220773ad14dcb3d28ca11aa727 360242 kernel optional kfreebsd-headers-10.0-0-486_10.0~svn226224-1_kfreebsd-i386.deb
 73004a11d956865f735184f639d7a698 49578 kernel optional kfreebsd-headers-10-486_10.0~svn226224-1_kfreebsd-i386.deb
 44ba380d85925c5726df47f9002312ce 16801234 kernel optional kfreebsd-image-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 48e06a7db647bb64f9a8efdb7d448af1 49346 kernel optional kfreebsd-image-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 41923c8d39b53ddcf479382cbeedf08b 361924 kernel optional kfreebsd-headers-10.0-0-686_10.0~svn226224-1_kfreebsd-i386.deb
 e89fdde1398b190f358176bac74f0bf8 49344 kernel optional kfreebsd-headers-10-686_10.0~svn226224-1_kfreebsd-i386.deb
 dc5e9f304a82b590b886271d6d44f097 16818566 kernel optional kfreebsd-image-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 4a7194b4c5a91f546d279998df56c1ec 49584 kernel optional kfreebsd-image-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 bcbf0da20121712ec8b308dba3a18cbc 360006 kernel optional kfreebsd-headers-10.0-0-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 e6668505a04793d51712da74d3dd5b72 49348 kernel optional kfreebsd-headers-10-686-smp_10.0~svn226224-1_kfreebsd-i386.deb
 1f7ceb6c5af78fdceb8ff7c19081f170 12111990 kernel optional kfreebsd-image-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 af5568d6fc45034c77a93c61597d9f3e 49342 kernel optional kfreebsd-image-10-xen_10.0~svn226224-1_kfreebsd-i386.deb
 fd45f985710a393123e6270bb2e13eb4 230198 kernel optional kfreebsd-headers-10.0-0-xen_10.0~svn226224-1_kfreebsd-i386.deb
 04f3d43bc9280eb8fe0b7dd4bc7d84c9 49576 kernel optional kfreebsd-headers-10-xen_10.0~svn226224-1_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iEYEARECAAYFAk6TyaEACgkQC19io6rUCv8SDACdFPGwUtNTXcujeEK9mj8QSB4N
6DIAnjH1MoUlejNJmm+1jmFjZ3BFAiq7
=BeOL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#644417; Package kfreebsd-image-8.2-1-686. (Wed, 12 Oct 2011 09:42:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 12 Oct 2011 09:42:29 GMT) Full text and rfc822 format available.

Message #42 received at 644417@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 644417@bugs.debian.org
Subject: Re: Bug#644417: CPU-faults early on boot
Date: Wed, 12 Oct 2011 11:40:44 +0200
2011/10/10 Petr Salinger <Petr.Salinger@seznam.cz>:
> The main problem is that we do not know whether gcc-4.x
> miscompiles kernel or kernel is not properly coded.

Agreed.  I'll do more testing and investigate.  In the meantime I've
uploaded a gcc-4.5 built kfreebsd to experimental, so that this
combination can be tested and we're ready to upgrade.

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 27 Oct 2011 20:51:11 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Thu, 27 Oct 2011 20:51:11 GMT) Full text and rfc822 format available.

Message #47 received at 644417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644417-close@bugs.debian.org
Subject: Bug#644417: fixed in kfreebsd-9 9.0~svn226626-1
Date: Thu, 27 Oct 2011 20:49:47 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn226626-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn226626-1.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-1.debian.tar.gz
kfreebsd-9_9.0~svn226626-1.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-1.dsc
kfreebsd-9_9.0~svn226626.orig.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626.orig.tar.gz
kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn226626-1_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn226626-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Oct 2011 20:51:09 +0200
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn226626-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 644417 645527
Changes: 
 kfreebsd-9 (9.0~svn226626-1) experimental; urgency=low
 .
   * New upstream snapshot.
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
 .
   [ Petr Salinger ]
   * Drop 103_stat_pipe.diff, fixed upstream.
   * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
     after 000_unix_socket_overflow.diff. Closes: #645527.
Checksums-Sha1: 
 ae0cf1ff7ffb1c4c38c869265cbea868310a8c33 3504 kfreebsd-9_9.0~svn226626-1.dsc
 a9f35715a7886e9316e4b5b617d198244450dae0 32704519 kfreebsd-9_9.0~svn226626.orig.tar.gz
 c4c48cfb359432ac1d848ccb01a90aa28b2035ba 80678 kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 c40c90367b6df38930038fcfde7e2e2626a37dde 21696798 kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 fc651ddaf3ed719e5f8686f0b7a0929fc92645fe 9714552 kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 46614b050cdf33fc78669da7c17e66483f050bd9 14846334 kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 103276fe6bfc1528f8f867f3f7ff229f7ec45be6 49576 kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 eced3dd8bb1a8ba4fd984dfb6b9fa52619e80d50 317466 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 d9722bb1954bd4fdaf98e66c9dd9187cf821d826 49350 kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 0402c3da359f635f3b8afae1574631805007877c3116a6129db82c6e63ac9cbe 3504 kfreebsd-9_9.0~svn226626-1.dsc
 67ca803e179db5665a32286c4feb60d5b8363635b08f67954dcc419cd91df708 32704519 kfreebsd-9_9.0~svn226626.orig.tar.gz
 9dcb9bffa19cae051235144499c7b45c18c3775e7ec7000dbb3d0337fec9f745 80678 kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 2f7db5547bb6ad477985d777768d1be809075d91db6fc4182f0db6c8d6033bf3 21696798 kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 5231f5d9385d36f37b4b8d9e628cbb341069a569b86d70a22980f055d71ff713 9714552 kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 976532c82ac03607525de334d461bfd175f0c16deb4f8a201136569051bb7192 14846334 kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 4b8074c75da157548fd346b84f4f94dd7de10f057edcc4b5fd3f5d6a90be28f3 49576 kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 94166d31a252da96a1a249bb890990dd962f758e4a2ae2a8d7559aa70b7c660b 317466 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 0106338a58f25a5d303e95ea93d14e8898c4d97fc77e583d684c79e04acc0b66 49350 kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
Files: 
 8d6dd870284f2e2fbeb949083e917e37 3504 kernel optional kfreebsd-9_9.0~svn226626-1.dsc
 d5d60e27f33b0283eebeb8cbd0721d2f 32704519 kernel optional kfreebsd-9_9.0~svn226626.orig.tar.gz
 257c1ab4fd9faaa2663738cbbb8a219d 80678 kernel optional kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 b81f69ffa7d6c88325b1912a5c315c72 21696798 kernel optional kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 b3d093587fe444f665cbdcbdc2f4049f 9714552 kernel optional kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 2006dcc4dd1f3e58cd14c1f3cef9cb2a 14846334 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 f0c6d8ff08735d5ef7544d8a9b4fc498 49576 kernel optional kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 60d5e0c3e9636039699f007b20a4e7d8 317466 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 996167a323bbe0e1a1a0854d78af691d 49350 kernel optional kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6ptAEACgkQC19io6rUCv8kXACaA1zgiozTkEKJPHKloJpLabAg
yz0An3rNLnVx+4HZL0SZzN28oKbfa6V7
=JHVC
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 27 Oct 2011 23:33:11 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Thu, 27 Oct 2011 23:33:11 GMT) Full text and rfc822 format available.

Message #52 received at 644417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644417-close@bugs.debian.org
Subject: Bug#644417: fixed in kfreebsd-8 8.2-11
Date: Thu, 27 Oct 2011 23:18:57 +0000
Source: kfreebsd-8
Source-Version: 8.2-11

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-11.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-11.debian.tar.gz
kfreebsd-8_8.2-11.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-11.dsc
kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-11_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Oct 2011 21:49:27 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-11
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 644417 645377
Changes: 
 kfreebsd-8 (8.2-11) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Update 000_unix_socket_overflow.diff from the second security advisory,
     fixing the same issue on the Linux compatibility layer. Closes: #645377.
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
   * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
     in a chroot on Debian kernel).
Checksums-Sha1: 
 524db93be0edb23d0b9f5f4543957a65e1e6dbc9 3415 kfreebsd-8_8.2-11.dsc
 608cb7f6b9ae27c68804fe153ff4af49cbc5757c 98716 kfreebsd-8_8.2-11.debian.tar.gz
 8086feb2c0f0909e318a0c0754a61c9303ba3968 18703928 kfreebsd-source-8.2_8.2-11_all.deb
 9cc119dde40a2e3014a816cdadc9e26df6503a20 7335288 kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 c8c2fd292898a16e0f33d9185422d2b6df8bd0fc 12639854 kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 be6f22e5aa05944c1a8fe654e49855fb45879841 49196 kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 37fbb4e672d79c44ae432627641c60be498d5db0 327966 kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 bef0f5c82e906807df41ccb62077a6f1cab8d119 49030 kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
Checksums-Sha256: 
 841b530a4cd4fc75d86ce627f952cbb6f909ac24ebca004b9eaf625d6b843bd2 3415 kfreebsd-8_8.2-11.dsc
 27615ea70504d0d6e31b5ba8453f490e749dda6bb8c676482fd0130c97f69c4c 98716 kfreebsd-8_8.2-11.debian.tar.gz
 8277e3e73a521d18b08139a991eab3c0444bff95a59b5a64560fa62dfb67f0ae 18703928 kfreebsd-source-8.2_8.2-11_all.deb
 29e89f49bbdf122d06616d5606ace66dd89eaa198a1f4473a2d5c0476237b621 7335288 kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 1f0df236f25ff266ecda0539b8b540e2c388594992477a296da2bf842b5ba7d1 12639854 kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 e0dcc2baa16218a303695aed8aebf29b023c2035784ad41796f9d7ad74e18d84 49196 kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 ba0132d5ca19eefbcddfea24d3b528a42602f6bc39c6767123b24de095130203 327966 kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 0d38c0037c78dfa0663ecbc48d08492ffc5caffb4b2428fac44af56dd99f349d 49030 kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb
Files: 
 524b13210e280172ef193aa2125ef4be 3415 kernel optional kfreebsd-8_8.2-11.dsc
 77f7f50179255909de364ddb5e4a3717 98716 kernel optional kfreebsd-8_8.2-11.debian.tar.gz
 05488777f947f297d38c64cabbb4e684 18703928 kernel optional kfreebsd-source-8.2_8.2-11_all.deb
 e32dbaa1f2a6b0344c2a6ca741bd7bc2 7335288 kernel optional kfreebsd-headers-8.2-1_8.2-11_kfreebsd-amd64.deb
 3b99f9b80601836633edcd115e9b032c 12639854 kernel optional kfreebsd-image-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 757964d310910acc8cd4d326026b41b9 49196 kernel optional kfreebsd-image-8-amd64_8.2-11_kfreebsd-amd64.deb
 97ed7977ac13fcc712b45fed3c9883cd 327966 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-11_kfreebsd-amd64.deb
 990eae0f852fa5f9deb2155a26997fe8 49030 kernel optional kfreebsd-headers-8-amd64_8.2-11_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6p2o0ACgkQC19io6rUCv/P4QCgi7o3X6Nv5q6KyDDqGJGlrxz/
qcMAn2wC9diB0t1Z1U0w43UDLKKsysKD
=eOWY
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 28 Oct 2011 13:21:42 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Fri, 28 Oct 2011 13:21:45 GMT) Full text and rfc822 format available.

Message #57 received at 644417-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644417-close@bugs.debian.org
Subject: Bug#644417: fixed in kfreebsd-10 10.0~svn226872-1
Date: Fri, 28 Oct 2011 13:18:40 +0000
Source: kfreebsd-10
Source-Version: 10.0~svn226872-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-10, which is due to be installed in the Debian FTP archive:

kfreebsd-10_10.0~svn226872-1.debian.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-1.debian.tar.gz
kfreebsd-10_10.0~svn226872-1.dsc
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-1.dsc
kfreebsd-10_10.0~svn226872.orig.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872.orig.tar.gz
kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-source-10.0_10.0~svn226872-1_all.deb
  to main/k/kfreebsd-10/kfreebsd-source-10.0_10.0~svn226872-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 Oct 2011 12:40:27 +0200
Source: kfreebsd-10
Binary: kfreebsd-source-10.0 kfreebsd-headers-10.0-0 kfreebsd-image-10.0-0-amd64 kfreebsd-image-10-amd64 kfreebsd-headers-10.0-0-amd64 kfreebsd-headers-10-amd64 kfreebsd-image-10.0-0-486 kfreebsd-image-10-486 kfreebsd-headers-10.0-0-486 kfreebsd-headers-10-486 kfreebsd-image-10.0-0-686 kfreebsd-image-10-686 kfreebsd-headers-10.0-0-686 kfreebsd-headers-10-686 kfreebsd-image-10.0-0-686-smp kfreebsd-image-10-686-smp kfreebsd-headers-10.0-0-686-smp kfreebsd-headers-10-686-smp kfreebsd-image-10.0-0-xen kfreebsd-image-10-xen kfreebsd-headers-10.0-0-xen kfreebsd-headers-10-xen kfreebsd-image-10.0-0-malta kfreebsd-image-10-malta kfreebsd-headers-10.0-0-malta kfreebsd-headers-10-malta
Architecture: source all kfreebsd-amd64
Version: 10.0~svn226872-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-10-486 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686-smp - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-amd64 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-malta - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-xen - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10.0-0 - Common architecture-specific header files for kernel of FreeBSD 1
 kfreebsd-headers-10.0-0-486 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686-smp - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-amd64 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-malta - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-xen - header files for kernel of FreeBSD 10.0
 kfreebsd-image-10-486 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686-smp - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-amd64 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-malta - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-xen - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10.0-0-486 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686-smp - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-amd64 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-malta - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-xen - kernel of FreeBSD 10.0 image
 kfreebsd-source-10.0 - source code for kernel of FreeBSD 10.0 with Debian patches
Closes: 644417 645527
Changes: 
 kfreebsd-10 (10.0~svn226872-1) experimental; urgency=low
 .
   * New upstream snapshot.
 .
   [ Robert Millan ]
   * Remove /boot symlink kludge.  See:
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633561#88
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
   * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
     in a chroot on Debian kernel).
 .
   [ Petr Salinger ]
   * Drop 103_stat_pipe.diff, fixed upstream.
   * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
     after 000_unix_socket_overflow.diff. Closes: #645527.
Checksums-Sha1: 
 8b8d28d2e539f5d011676fdc59bbb5d570c6d44d 3572 kfreebsd-10_10.0~svn226872-1.dsc
 32deb15ead7c887edf52f6fca0474f0f20996769 32718205 kfreebsd-10_10.0~svn226872.orig.tar.gz
 8af227fe544105bbfd52de72db3e7180f6fb8b1d 79682 kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 b75ebe419822dd743079c86b9298e84aeacc63be 21610924 kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 1b277a8f1746cbfa235c62d0ae252d4cec418f5c 9724256 kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 dbfd0ae4ef50f1287b7997fb0d4098e7ded34a07 15336570 kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 2402e0515f75ceb5569aefc3924e555f3e3a9696 49754 kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 71357c3c694990f6496c48c8551b2910267d91c9 317210 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 6e1cd3f14afc890776d7137a53c2e9602ec8729c 49492 kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 b2fa259991a129b54e7054264b7b11da2560e72ea142045980fcb0e9e502f096 3572 kfreebsd-10_10.0~svn226872-1.dsc
 77452cd5fd03e8a68939b0da1d32ecd8a89170b9fde82837ee9779465cfa4186 32718205 kfreebsd-10_10.0~svn226872.orig.tar.gz
 91200865f81f50427630c429d1007e8b05a52dabe93a0674faa3f155e5297768 79682 kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 22f2bbf4fa0cbee695ee423bf924a49e4553c0cb80c8403f8b34e396810bb4a6 21610924 kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 099bca2a99b57d780b376517d0d16bfd741e57f0229e7ec6e05c3ab06e6e5d6f 9724256 kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 468efe7de8a07fbe5e9bf3d672fe895c0aefd19d01733da1f7b059c8f3ccdb1e 15336570 kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 8e9b4d89212dcac2e36c304575f869bb89c4b7e5e2176d2b2ee5ede5231f313f 49754 kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 54415b8cefbe19db86512188727efd0589edb8e09268e80837f9c3bdae2a6b68 317210 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 53e58adc87e61fd3135c78ba6c6dc8bcbb30c90fd7378150c3ce27d17b009015 49492 kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
Files: 
 26a65131f56ea8741723294ce7d004d3 3572 kernel optional kfreebsd-10_10.0~svn226872-1.dsc
 aa040666764de09dc91df50b473775ec 32718205 kernel optional kfreebsd-10_10.0~svn226872.orig.tar.gz
 1db2f5cbfebad2dfae1fea01e3ebf45d 79682 kernel optional kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 a36ccd17e7706cacfcc22d165647bcc6 21610924 kernel optional kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 a4c8c548d1d18a2f4cfcd7df4a8b92fe 9724256 kernel optional kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 b1b596dcd5c814db4dde71a86253a65f 15336570 kernel optional kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 e2032fc50bd77db5b69420f23a7b9d73 49754 kernel optional kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 377d5f09b8be01cf482964bdf63d8e18 317210 kernel optional kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 ba694cb8df52057124330730e5dc3efe 49492 kernel optional kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6qnZcACgkQC19io6rUCv8iZACgiGkbqRYpXtIaTWnuygrQIw3W
2ykAnRsS+mFqSZSgEV+4vabWuQpnT4cD
=lJ60
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Nov 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:55:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.